﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SubscriptionEditorPage.aspx.cs"
    Inherits="Core.Web.Admin.Pages.SubscriptionPages.SubscriptionEditorPage" MasterPageFile="~/Admin/CoreAdmin.Master"
    ValidateRequest="false" %>

<%@ Import Namespace="Core.Web" %>
<%@ Register Src="~/Admin/Controls/Editor/SubscriptionEditor.ascx" TagName="SubscriptionEditor" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/VerticalToolbar.ascx" TagPrefix="uc" TagName="Toolbar" %>
<%@ Register Src="~/Admin/PageElements/HelpButton.ascx" TagPrefix="uc" TagName="HelpButton" %>

<%@ Register Src="~/Admin/Controls/Binding/Subscriptions/SubscriptionCategoriesEditor.ascx" 
TagName="SubscriptionCategories" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Binding/Subscriptions/SubscriptionContentPagesEditor.ascx" 
TagName="SubscriptionContentPages" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Binding/Subscriptions/SubscriptionProductsEditor.ascx" 
TagName="SubscriptionProducts" TagPrefix="uc" %>
<%@ Register Src="~/Admin/Controls/Listing/SubscriptionCustomers.ascx" TagName="SubscriptionCustomers" TagPrefix="uc" %>

<asp:Content ID="Content" ContentPlaceHolderID="Content" runat="server">
    <Ajax:UpdatePanel runat="server" ID="SubscriptionEditorUpdatePanel" UpdateMode="Conditional">
        <ContentTemplate>
            <div class="management-buttons flo">
                <uc:HelpButton ID="HelpButton" runat="server"/>
                <h2 class="edit-header"><%=PageTitle%></h2>
            </div>
            <table width="100%" cellspacing="0" cellpadding="0" border="0">
                <tbody>
                    <tr>
                        <td width="100%" valign="top">
                            <Tab:SubscriptionTabContainer ID="TabContainer" runat="server">
                                <Items>
                                    <Tab:SubscriptionTabItem runat="server" ID="DetailsTab" Active="true"
                                        ActiveForNewEntity="true">
                                        <Innercontent>
                                            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                             <tbody>
                                                <tr>
                                                   <td>
                                                     <uc:SubscriptionEditor ID="SubscriptionEditor" runat="server" />
                                                   </td>
                                                </tr>
                                             </tbody>
                                          </table>
                                        </Innercontent>
                                    </Tab:SubscriptionTabItem>
                                    <Tab:SubscriptionTabItem runat="server" ID="CategoriesTab" Active="true"
                                        ActiveForNewEntity="false">
                                        <Innercontent>
                                            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                             <tbody>
                                                <tr>
                                                   <td>
                                                     <uc:SubscriptionCategories ID="SubscriptionCategories" runat="server" />
                                                   </td>
                                                </tr>
                                             </tbody>
                                          </table>
                                        </Innercontent>
                                    </Tab:SubscriptionTabItem>
                                    <Tab:SubscriptionTabItem runat="server" ID="ContentPagesTab" Active="true" 
                                        ActiveForNewEntity="false">
                                        <Innercontent>
                                            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                             <tbody>
                                                <tr>
                                                   <td>
                                                     <uc:SubscriptionContentPages ID="SubscriptionContentPages" runat="server" />
                                                   </td>
                                                </tr>
                                             </tbody>
                                          </table>
                                        </Innercontent>
                                    </Tab:SubscriptionTabItem>
                                    <Tab:SubscriptionTabItem runat="server" ID="ProductsTab" Active="true"
                                        ActiveForNewEntity="false">
                                        <Innercontent>
                                            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                             <tbody>
                                                <tr>
                                                   <td>
                                                     <uc:SubscriptionProducts ID="SubscriptionProducts" runat="server" />
                                                   </td>
                                                </tr>
                                             </tbody>
                                          </table>
                                        </Innercontent>
                                    </Tab:SubscriptionTabItem>
                                    <Tab:SubscriptionTabItem runat="server" ID="CustomersTab" Active="true"
                                        ActiveForNewEntity="false">
                                        <Innercontent>
                                            <table cellspacing="0" cellpadding="0" border="0" class="data-area">
                                             <tbody>
                                                <tr>
                                                   <td>
                                                     <uc:SubscriptionCustomers id="SubscriptionCustomers" runat="server" />
                                                   </td>
                                                </tr>
                                             </tbody>
                                          </table>
                                        </Innercontent>
                                    </Tab:SubscriptionTabItem>
                                </Items>
                            </Tab:SubscriptionTabContainer>
                        </td>
                        <td valign="top" class="tabs-box-column">
                            <uc:Toolbar runat="server" ID="VerticalToolbar" />
                        </td>
                    </tr>
                </tbody>
            </table>
        </ContentTemplate>
    </Ajax:UpdatePanel>
</asp:Content>
