﻿<%@ Import Namespace="Core.Web.Constants.UI"%>
<%@ Import Namespace="Core.Web.Constants"%>
<%@ Import Namespace="Core.Web"%>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="OrderDetailsView.ascx.cs" Inherits="Core.Web.Controls.Customers.OrderDetailsView" %>

<div class="TableDataSimple">
  <table border="0" cellspacing="0" cellpadding="0">
	  <tr>
		  <th scope="row"><%=UI.Current.OrderNumber%>:</th>
		  <td><%=CurrentOrder.OrderID%></td>
	  </tr>
	  <%if (!String.IsNullOrEmpty(DeliveryMethodName)) {%>
	  <tr>
		  <th scope="row"><%=UI.Current.DeliveryMethod%>:</th>
		  <td><%=DeliveryMethodName%></td>
	  </tr>
	  <%} %>
	  <tr>
		  <th scope="row"><%=UI.Current.Date%>:</th>
		  <td><%=FormatProvider.FormatDate(CurrentOrder.PostedDate)%></td>
	  </tr>
  </table>
</div>
<div class="Slim">
	<div class="OrderDetails">
		<div class="TableData">
	    <table border="0" cellspacing="0" cellpadding="0">
        <%if (ContainsComplexItems) { %>
          <colgroup class="Num1" span="1">
          <col class="Num1" />
          </colgroup>
        <%} %>
        <colgroup class="Num2" span="1">
        <col class="Num2" />
        </colgroup>
        <colgroup class="Num3" span="1">
        <col class="Num3" />
        </colgroup>
        <colgroup class="Num4" span="1">
        <col class="Num4" />
        </colgroup>
        <colgroup class="Num5" span="1">
        <col class="Num5" />
        </colgroup>
        <colgroup class="Num6" span="1">
        <col class="Num6" />
        </colgroup>		      
		    <thead>
			    <tr>
            <%if (ContainsComplexItems) { %>
	            <th class="first">&nbsp;</th>
	          <%} %>
		        <th scope="col"><%=UI.Current.ReferenceColumnName%></th>
		        <th scope="col"><%=UI.Current.ProductNameColumnName%></th>
		        <th scope="col"><%=UI.Current.QuantityColumnName%></th>
		        <th scope="col"><%=UI.Current.PriceColumnName%></th>
		        <th scope="col"><%=UI.Current.SubtotalColumnName%></th>
			    </tr>
		    </thead>
		    <tbody>
		      <%=Html.OrderSummary(CurrentOrder.Items, false, ContainsComplexItems, false)%>		    
        </tbody>
				<tfoot>
					<tr>
						<td colspan="<%=ColumnCount - 3%>"><%=UI.Current.Total%>:</td>
						<td><%=TotalQuantity%></td>
						<td colspan="2"><%=UserMoney(CurrentOrder.Total)%></td>
					</tr>
					<%if (CurrentOrder.DeliveryAmount > 0) {%>
						<tr class="SubOption">
						  <td colspan="<%=ColumnCount - 3%>"><%=UI.Current.Shipping%>:</td>
						  <td colspan="3"><strong><%=UserMoney(CurrentOrder.DeliveryAmount)%></strong></td>
					  </tr>
					<%} %>
					<tr class="SubOption">
						<td colspan="<%=ColumnCount - 3%>"><%=UI.Current.Vat%> <%=(Constants.Current.VAT * 100).ToString("f1")%>%:</td>
						<td colspan="3"><strong><%=UserMoney(CurrentOrder.VAT)%></strong></td>
					</tr>					
					<%if (CurrentOrder.DiscountAmount > 0)
            {%>
						<tr class="SubOption">
						  <td colspan="<%=ColumnCount - 3%>"><%=UI.Current.Discount%>:</td>
						  <td colspan="3"><strong><%=UserMoney(CurrentOrder.DiscountAmount)%></strong></td>
					  </tr>
					<%} %>
					<%if (CurrentOrder.GiftVouchersAmount > 0)
            {%>
						<tr class="SubOption">
						  <td colspan="<%=ColumnCount - 3%>"><%=UI.Current.GiftVouchersAmount%>:</td>
						  <td colspan="3"><strong><%=UserMoney(CurrentOrder.GiftVouchersAmount)%></strong></td>
					  </tr>
					<%} %>					
					<tr class="Total">
						<td colspan="<%=ColumnCount - 3%>"><%=UI.Current.GrandTotal%>:</td>
						<td><%=TotalQuantity%></td>
						<td colspan="2"><%=UserMoney(CurrentOrder.GrandTotal)%></td>
					</tr>
				</tfoot>
	    </table>		    
		</div>
	</div>
</div>