﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="ProductKitDetails.ascx.cs" Inherits="Core.Web.Controls.ProductKits.ProductKitDetails" %>

<%@ Import Namespace="Core.Web.Constants.UI"%>

<%@ Register Src="~/Controls/Products/ProductReviews.ascx" TagPrefix="uc" TagName="ProductReviews" %>
<%@ Register Src="~/Controls/Products/ProductFileRepeater.ascx" TagName="ProductFileRepeater" TagPrefix="uc" %>
<%@ Register Src="~/Controls/ProductKits/ProductKitAsseblyEditor.ascx" TagName="ProductKitAsseblyEditor" TagPrefix="uc" %>

<div class="BottomSection">
	<div class="TabPool">
		<div class="TabPanel">
			<ul>
			  <li class="current"><a href="#items"><span><%=UI.Current.KitItems%></span></a></li>
			  <%if (!String.IsNullOrEmpty(CurrentProduct.Description)) {%>
				  <li><a href="#description"><span><%=UI.Current.ProductDescription%></span></a></li>
				<%}%>
				<li><a href="#reviews"><span class="Title"><%=UI.Current.Reviews%> </span><span class="SubData reviewCountIndicator"></span></a></li>
				<%if (CurrentProduct.IsDigital) {%>
				  <% if (ProductFileRepeater.ProductFilesBrowser.Items.Count > 0) {%>
				  <li><a href="#files"><span class="Title"><%=UI.Current.File%></span> <span class="SubData">(<%=ProductFileRepeater.ProductFilesBrowser.Items.Count%>)</span></a></li>
				  <% }%>
          <% if (PreviewProductFileRepeater.ProductFilesBrowser.Items.Count > 0) {%>
				  <li><a href="#demos"><span class="Title"><%=UI.Current.FreeDownload%></span> <span class="SubData">(<%= PreviewProductFileRepeater.ProductFilesBrowser.Items.Count %>)</span></a></li>
				  <% }%>
				<%}%>
			</ul>
		</div>
		<div class="TabContent">
			  <div class="Cust" id="items">
				  <div class="MainInfo">
				    <uc:ProductKitAsseblyEditor runat="server" ID="AsseblyEditor" />            
				  </div>
			  </div>		
		  <%if (!String.IsNullOrEmpty(CurrentProduct.Description)) {%>
			  <div class="Desc" id="description">
				  <div class="MainInfo wysiwyg">
            <%=CurrentProduct.Description%>
				  </div>
			  </div>
			<%}%>
      <div class="Reviews" id="reviews">
        <uc:ProductReviews runat="server" ID="Reviews" />
      </div>
      <%if (CurrentProduct.IsDigital) {%>
        <% if (ProductFileRepeater.ProductFilesBrowser.Items.Count > 0) {%>
        <div id="files">
          <div class="MainInfo">
            <p><strong><%=UI.Current.Files%></strong></p>
            <uc:ProductFileRepeater id="ProductFileRepeater" runat="server" FreeDownload="false" />
          </div>
        </div>
        <% }%>
        <% if (PreviewProductFileRepeater.ProductFilesBrowser.Items.Count > 0) {%>
        <div id="demos">
          <div class="MainInfo">
            <p><strong><%=UI.Current.Demos%></strong></p>
            <uc:ProductFileRepeater id="PreviewProductFileRepeater" runat="server" FreeDownload="true" />
          </div>						              
        </div>
        <% }%>							
      <%}%>
      <div style="height: 10px;"></div>
		</div>											
	</div>
</div>

<script type="text/javascript">

  $(function() {
    $('.TabPanel').idTabs(function(id, list, tabSet){
      $('li', tabSet).removeClass('current');
      $(String.format('li:has(a[@href=\'{0}\'])', id), tabSet).addClass('current');
      for(i in list) {
        $(list[i]).hide(); 
      }
      $(id).show();
    });
  });

</script>