﻿/// <reference path="interface.js" />
/// <reference name "MicrosoftAjax.js" assembly="System.Web.Extensions" />

Type.registerNamespace('Core.Web');

Core.Web.fillInput = function(inputID, newValue) { 
  inputElement = $get(inputID);
  if (inputElement) {
    inputElement.value = newValue; 
  }
}

Type.registerNamespace('Core.Web.DashBoard');

Core.Web.DashBoard.HideLink = function(hidePanelID, hideLinkID, hideImageID, imagePath, readCookie){
    
    this.hidePanelID = hidePanelID;
    
    this.hidePanel = $get(hidePanelID);
    
    this.hideLinkID = hideLinkID;
    
    this.hideLink = $get(hideLinkID);
    
    this.hideImageID = hideImageID;
    
    this.hideImage = $get(hideImageID);
    
    this.imagePath = imagePath;
    
    this.showHide(true);
}

Core.Web.DashBoard.HideLink.visible = 'block';

Core.Web.DashBoard.HideLink.invisible = 'none';

Core.Web.DashBoard.HideLink.showText = 'Show these hints';

Core.Web.DashBoard.HideLink.hideText = 'Hide these hints';

Core.Web.DashBoard.HideLink.showIconName = 'show.gif';

Core.Web.DashBoard.HideLink.hideIconName = 'hide.gif';

Core.Web.DashBoard.HideLink.prototype = {

  showHide : function(readCookie) {
    if(readCookie) {
      cookieValue = getCookie(this.hidePanelID);
      if(cookieValue != null) {
        if(cookieValue == Core.Web.DashBoard.HideLink.invisible) {
          this.setShowButton();
        }
        else {
          this.setHideButton();
        }
      }
      else {
        this.setHideButton();
      }
    }
    else {
      if(this.hidePanel != null) {
        if(this.hidePanel.style.display == Core.Web.DashBoard.HideLink.invisible) {
          this.setHideButton();
        }
        else {          
          this.setShowButton();
        }
      }
    }
  }, 
   
  setShowButton : function() {
    this.setBlockDetails(Core.Web.DashBoard.HideLink.invisible, 
                          Core.Web.DashBoard.HideLink.showText, 
                          this.imagePath + Core.Web.DashBoard.HideLink.showIconName);
  },  

  setHideButton : function() {
    this.setBlockDetails(Core.Web.DashBoard.HideLink.visible, 
                          Core.Web.DashBoard.HideLink.hideText, 
                          this.imagePath + Core.Web.DashBoard.HideLink.hideIconName);
  },

  setBlockDetails : function(hidePanelDisplay, hideText, imageSrc) {
       this.hidePanel.style.display = hidePanelDisplay;
       this.hideLink.innerHTML = hideText;
       this.hideImage.src = imageSrc;
       this.hideImage.alt = hideText;
       time = new Date();
       time.setTime(new Date().getTime() + 30*24*60*60*1000);
       setCookie(this.hidePanelID, hidePanelDisplay , time, '/', null, null);
  } 
}

Core.Web.DashBoard.HideLink.registerClass('Core.Web.DashBoard.HideLink');

Core.Web.setFieldValue = function(fieldID, newValue) {
  fieldElement = $get(fieldID);
  if (fieldElement) {
    fieldElement.value = newValue;
  }
}

var savedValues = {};

Core.Web.clearField = function() {
  savedValues[this.id] = this.value;
  this.value = '';
}

Core.Web.restoreField = function() {
  if (this.value == '' && savedValues[this.id]) {
    this.value = savedValues[this.id];
  }
}

Core.Web.addClearOnFocus = function(fieldID) {
  fieldElement = $get(fieldID);
  if (fieldElement) {
    $addHandler(fieldElement, 'focus', Function.createDelegate(fieldElement, Core.Web.clearField));
    $addHandler(fieldElement, 'blur', Function.createDelegate(fieldElement, Core.Web.restoreField));
  }
}

Core.Web.showBasketPopup = function(basketPopupID) {
  new Effect.ScrollTo(basketPopupID, {duration: 1.0});
  if (Effect) {
    new Effect.Opacity(basketPopupID, { from: 0, to: 1, duration: 1.0 }); 
  }   
}

Core.Web.hideBasketPopup = function(basketPopupID) {
  if (Effect) {
    new Effect.Opacity(basketPopupID, { from: 1, to: 0, duration: 2.0  }); 
  }
  basketPopup = $get(basketPopupID);
  if (basketPopup) {
    window.setTimeout( function() {basketPopup.style.display = 'none';}, 2000);
  }  
}

Core.Web.SwitchTextMode = function(textAreaID, wysiwygID, isPlainText)
{
  if (isPlainText)
  {
    //new Effect.Appear(textAreaID);
    //new Effect.Fade(wysiwygID);
    $('#' + textAreaID).show();
    $('#' + wysiwygID).hide();
  }
  else
  {
    //new Effect.Fade(textAreaID);
    //new Effect.Appear(wysiwygID);
    $('#' + textAreaID).hide();
    $('#' + wysiwygID).show();
  }
};