﻿/* 

    Author: Roman Zaharenkov
    Date:   21.05.2009

*/

-- Drop Constraint, Rename and Create Table SQL

CREATE TABLE dbo.WishItems
(
    WishItemID         int            IDENTITY,
    ProductID          int            NOT NULL,
    WishListPriorityID int            NOT NULL,
    CreationDate       datetime       NULL,
    Comments           nvarchar(255)  NULL,
    IsDebugObject      bit            NULL,
    CustomerID         int            NOT NULL,    
    CONSTRAINT PK128
    PRIMARY KEY CLUSTERED (WishItemID)
)

CREATE TABLE dbo.WishListPriorities
(
    WishListPriorityID int              NOT NULL,
    Name               nvarchar(255)    NULL,
    CONSTRAINT PK129
    PRIMARY KEY CLUSTERED (WishListPriorityID)
)

-- Add Referencing Foreign Keys SQL

ALTER TABLE dbo.WishItems 
    ADD CONSTRAINT FK_WishItems_Products
FOREIGN KEY (ProductID)
REFERENCES dbo.Products (ProductID)
 ON DELETE CASCADE

ALTER TABLE dbo.WishItems 
    ADD CONSTRAINT FK_WishItems_WishListPriorities
FOREIGN KEY (WishListPriorityID)
REFERENCES dbo.WishListPriorities (WishListPriorityID)

ALTER TABLE dbo.WishItems ADD CONSTRAINT FK_WishItems_Customers
FOREIGN KEY (CustomerID)
REFERENCES dbo.Customers (CustomerID)
ON DELETE CASCADE

ALTER TABLE dbo.CurrencyRates ADD CONSTRAINT FK_CurrencyRates_DestinationCurrencies
FOREIGN KEY (DestinationCurrencyID)
REFERENCES dbo.Currencies (CurrencyID)
ON DELETE CASCADE

ALTER TABLE dbo.CurrencyRates ADD CONSTRAINT FK_CurrencyRates_SourceCurrencies
FOREIGN KEY (SourceCurrencyID)
REFERENCES dbo.Currencies (CurrencyID)
