﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="SubscriptionPage.aspx.cs" Inherits="Core.Web.SubscriptionPage" %>

<%@ Import Namespace="Core.Web.Constants.UI"%>
<%@ Import Namespace="Core.Web.Objects.Utility"%>
<%@ Import namespace="iFramework.Core.Utilities"%>
<%@ Import namespace="Core.Web"%>

<%@ Register TagName="BreadCrumbs" TagPrefix="uc" Src="~/Controls/Layout/BreadCrumbs.ascx" %>
<%@ Register TagName="ProductAverageRating" TagPrefix="uc" Src="~/Controls/Products/ProductAverageRating.ascx" %>
<%@ Register TagName="SubsriptionDetails" TagPrefix="uc" Src="~/Controls/Subscriptions/SubscriptionDetails.ascx" %>
	
<asp:Content ID="Content1" ContentPlaceHolderID="MainPlaceHolder" runat="server">    
  <uc:BreadCrumbs runat="server" ID="BreadCrumbs" />
	<div class="Area">
		<div class="ComplexModule ComplexModuleA">
			<div class="FormSection">
				<div class="HeaderSection">
					<h2><%=TextUtility.FormatText(CurrentProduct.Title)%></h2>
					<uc:ProductAverageRating runat="server" ID="AverageRating" />
				</div>        

        <uc:SubsriptionDetails runat="server" ID="Details" />
				
				<div class="FormControl">
					<ul class="Groups">
						<li class="GroupA">
							<ul>
							  <%if (InStock) {%>
								  <li class="buy-enable"><span class="InputButton InputButtonViewA InputButtonFixed InputButtonSize-A"><span class="In"><span class="InputFake" id="buyButton"><%=UI.Current.BuyButtonTitle%></span></span></span></li>
								<%} %>
								<li><span class="InputButton InputButtonViewA InputButtonFixed InputButtonSize-B"><span class="In"><span class="InputFake" id="sendLinkToFriend"><%=UI.Current.SendLinkToFriendButtonTitle %></span></span></span></li>
								<%if (ShowAddToWishList) {%>
								  <li><span class="InputButton InputButtonViewA InputButtonFixed InputButtonSize-C"><span class="In"><span class="InputFake" id="addToWishList"><%=UI.Current.AddToWishList%></span></span></span></li>
								<%} %>
							</ul>
						</li>
					</ul>
				</div>
				<input type="hidden" name="quantity" id="quantity" value="1" />
			</div>
		</div>
	</div>

	<script type="text/javascript">
	
	  $(function() {
      $('#buyButton').buyButton(<%=CurrentProduct.ProductID%>, {
        serviceUrl :  '<%=UrlBuilder.BasketServiceUrl%>',
        quantityField : '#quantity',
        buyEnable : '.buy-enable',
        basketView : '#basketViewArea',
        basketViewTemplate : '<%=UrlBuilder.BasketViewTemplateUrl%>',
        basketContentTemplate : '<%=UrlBuilder.BasketContentTemplateUrl%>'
      });
      $('#sendLinkToFriend').sendLinkToFriend(<%=CurrentProduct.ProductID%>, {
        serviceUrl : '<%=UrlBuilder.SendLinkToFriendServiceUrl%>',
        templateUrl : '<%=UrlBuilder.SendLinkToFriendTemplateUrl%>',
        captchaServiceUrl : '<%=UrlBuilder.CaptchaServiceUrl%>'
      });
      
      <%if (ShowAddToWishList) {%>
        $('#addToWishList').addToWishList(<%=CurrentProduct.ProductID%>, {
          serviceUrl : '<%=UrlBuilder.WishListServiceUrl%>'
        });
      <%} %>
	  });
	
	</script>
</asp:Content>